
        	
	
//=============================AXI SEQUENCE CLASSS ==========================================//
class axi_wrap_sequence extends uvm_sequence #(axi_seq_item);

	`uvm_object_utills(axi_wrap_sequence)
	axi_wrap_sequence wrap_xtn;

	function new(string name ="axi_wrap_sequene")
		super.new(name);
	endfunction
	
	task body();
		repeat(10)
		begin
		wrap_xtn=axi_seq_item::type_id::create("wrap_xtn");
		start_item(wrap_xtn);
		assert(wrap_xtn.randomize() with {AWBURST==2;});
		finish_item(wrap_xtn);
	end
endtask
endclass


       	
	
//=============================AXI SEQUENCE CLASSS ==========================================//
class axi_wrap_read_seq extends uvm_sequence #(axi_seq_item);

	`uvm_object_utills(axi_wrap_read_seq)
	axi_wrap_sequence rwrap_xtn;

	function new(string name ="axi_wrap_read_seq")
		super.new(name);
	endfunction

	task body();
		repeat(10)
		begin
		rwrap_xtn=axi_seq_item::type_id::create("rwrap_xtn");
		start_item(rwrap_xtn);
		assert(rwrap_xtn.randomize() with {ARBURST==2;});
		finish_item(rwrap_xtn);
	end
endtask
endclass


